# (otherwise it does not make sense from a security POV)
net_update() {
if [ -z "$ARCHIVE_KEYRING_URI" ]; then
- echo "ERROR: no location for the archive-keyring given"
+ echo >&2 "ERROR: Your distribution is not supported in net-update as no uri for the archive-keyring is set"
exit 1
fi
# in theory we would need to depend on wget for this, but this feature
# isn't useable in debian anyway as we have no keyring uri nor a master key
if ! which wget >/dev/null 2>&1; then
- echo "ERROR: an installed wget is required for a network-based update"
+ echo >&2 "ERROR: an installed wget is required for a network-based update"
exit 1
fi
if [ ! -d /var/lib/apt/keyrings ]; then
[ David Kalnischkies ]
* doc/makefile:
- create doxygen directory to avoid depending on magic (Closes: #628799)
+ * cmdline/apt-key:
+ - explicitly state that net-update is not supported if no url is set
- -- David Kalnischkies <kalnischkies@gmail.com> Wed, 29 Jun 2011 16:37:58 +0200
+ -- David Kalnischkies <kalnischkies@gmail.com> Wed, 29 Jun 2011 17:13:26 +0200
apt (0.8.15) unstable; urgency=low